From d4409c099dadd2223d03c2e1a4d7f8ea64e73ac8 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 827/1001] Don't create DB sessions needlessly in the scripts


---

diff --git a/check-cache-coverage.py b/check-cache-coverage.py
index efe45ab..409eafe 100755
--- a/check-cache-coverage.py
+++ b/check-cache-coverage.py
@@ -22,12 +22,9 @@ import hubs.widgets
 import hubs.widgets.caching
 import hubs.models
 
-import fedmsg.config
-
-config = fedmsg.config.load_config()
 
 empty, full = 0, 0
-session = hubs.models.init(config['hubs.sqlalchemy.uri'])
+session = hubs.app.session
 
 # Register widgets
 hubs.widgets.registry.register_list(hubs.app.app.config["WIDGETS"])
diff --git a/populate-from-fas.py b/populate-from-fas.py
index b5ed9ce..6e9fb36 100755
--- a/populate-from-fas.py
+++ b/populate-from-fas.py
@@ -12,6 +12,7 @@ import hubs.models
 import fedora.client.fas2
 import fedmsg.config
 fedmsg_config = fedmsg.config.load_config()
+session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'], True, True)
 
 fasclient = fedora.client.fas2.AccountSystem(
     username=input('Your FAS username: '),
@@ -37,8 +38,6 @@ suffix_blacklist = [
 
 
 for letter in reversed(sorted(list(set(string.letters.lower())))):
-    session = hubs.models.init(
-        fedmsg_config['hubs.sqlalchemy.uri'], True, True)
     print("Querying FAS for the %r users.. hang on." % letter)
     request = fasclient.send_request(
         '/user/list',
@@ -57,8 +56,6 @@ for letter in reversed(sorted(list(set(string.letters.lower())))):
     session.commit()
 
     # Go back now and set up the groups...
-    session = hubs.models.init(
-        fedmsg_config['hubs.sqlalchemy.uri'], True, True)
     for user in users:
         hubs_user = hubs.models.User.by_username(user['username'])
 
diff --git a/smart_cache_invalidator.py b/smart_cache_invalidator.py
index 5150b0c..4339c04 100755
--- a/smart_cache_invalidator.py
+++ b/smart_cache_invalidator.py
@@ -12,20 +12,13 @@ from __future__ import print_function, unicode_literals
 
 import argparse
 
-import fedmsg.config
-import fedmsg.meta
-
-
 import hubs.app
 import hubs.models
 import hubs.widgets.base
 import hubs.widgets.caching
 
 # get the DB session
-fedmsg_config = fedmsg.config.load_config()
-fedmsg.meta.make_processors(**fedmsg_config)
-
-session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
+session = hubs.app.session
 
 # Register widgets
 hubs.widgets.registry.register_list(hubs.app.app.config["WIDGETS"])

